Bug 232888 - [macOS][GPUP] Add telemetry for syscalls
Summary: [macOS][GPUP] Add telemetry for syscalls
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on: 233155 233136 233162
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-09 09:43 PST by Per Arne Vollan
Modified: 2021-11-16 09:12 PST (History)
5 users (show)

See Also:


Attachments
Patch (4.45 KB, patch)
2021-11-09 09:45 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (3.15 KB, patch)
2021-11-12 11:51 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (3.20 KB, patch)
2021-11-15 10:15 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (3.28 KB, patch)
2021-11-16 08:29 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2021-11-09 09:43:04 PST
Add more telemetry for syscalls in the GPU process' sandbox on macOS.
Comment 1 Per Arne Vollan 2021-11-09 09:45:34 PST
Created attachment 443699 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2021-11-09 09:45:48 PST
<rdar://problem/85207011>
Comment 3 Brent Fulgham 2021-11-09 10:05:20 PST
Comment on attachment 443699 [details]
Patch

r=me
Comment 4 Per Arne Vollan 2021-11-12 11:51:26 PST
Created attachment 444086 [details]
Patch
Comment 5 EWS 2021-11-13 08:13:31 PST
Committed r285774 (244218@main): <https://commits.webkit.org/244218@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 444086 [details].
Comment 6 WebKit Commit Bot 2021-11-15 10:05:24 PST
Re-opened since this is blocked by bug 233136
Comment 7 Per Arne Vollan 2021-11-15 10:15:54 PST
Created attachment 444272 [details]
Patch
Comment 8 EWS 2021-11-15 10:49:13 PST
Committed r285812 (244256@main): <https://commits.webkit.org/244256@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 444272 [details].
Comment 9 WebKit Commit Bot 2021-11-15 16:07:26 PST
Re-opened since this is blocked by bug 233155
Comment 10 Per Arne Vollan 2021-11-16 08:29:30 PST
Created attachment 444392 [details]
Patch
Comment 11 EWS 2021-11-16 09:12:01 PST
Committed r285869 (244295@main): <https://commits.webkit.org/244295@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 444392 [details].